Rasa X not starting up in windows 10

Hi Team, I am very new to Rasa.I installed rasa x using below command pip install rasa-x -i Simple Index While issued command rasa x ,i got below error (rasaglaucoma) D:\rasaglaucomatest1>rasa x C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatib ility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatib ility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatib ility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatib ility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) Traceback (most recent call last): File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\rasax\community\local.py”, line 209, in main global_state.initialize_global_state(NUMBER_OF_SANIC_WORKERS, is_local_mode=True) File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\rasax\community\global_state.py”, line 64, in initialize_global_state from rasax.community.services.integrated_version_control import git_service File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\rasax\community\services\integrated_version_control\git_service.py”, line 25, in from git import Repo, Reference, PushInfo, RemoteReference, Actor File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\git_init_.py”, line 8, in from git.exc import * # @NoMove @IgnorePep8 File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\git\exc.py”, line 10, in from git.compat import safe_decode File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\git\compat.py”, line 32, in from git.types import TBD File “C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\git\types.py”, line 12, in from typing_extensions import Final, Literal, SupportsIndex # noqa: F401 ImportError: cannot import name ‘SupportsIndex’ from ‘typing_extensions’ (C:\Users\nejina\Anaconda3\envs\rasaglaucoma\lib\site-packages\typing_extensions.p y)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Kindly help me to resolve this issue.

python version - 3.7.7 rasa version details: Rasa Version : 2.8.3 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.1 Rasa X Version : 0.42.0 Python Version : 3.7.7 Operating System : Windows-10-10.0.18362-SP0

@Nejina please share rasa --version using command in your conda environment only; share screenshot. @Nejina please share the above error in screenshot mode.

@nik202 please find the screenshots of rasa --version and error.

Also mentioning command used to install rasa-x

@Nejina can you downgrade rasa x to rasa x= 0.39.3

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Please share me error, when you encountered, in screenshot mode only and complete one. Thanks.

@nik202 Rasa X was up with pip install rasa-x==0.19.0 --extra-index-url Simple Index Thankyou

@Nejina ? not get you.

@nik202 As suggested by you, downgraded rasa x to rasa x= 0.39.3.But then also I faced issue similar to the one which I mentioned first. Then downgraded rasa x to version 0.19.0.Then Rasa X was up working fine

@Nejina are you able to solve this issue that good, please close this thread with the solution for others user. Thanks.